<?php require_once("database.php");

if (session_status() == PHP_SESSION_NONE) {
    session_start();
}

//Receptie.php - formulier gedrukt?
if(isset($_POST['submit']) && isset($_POST['isreceptie']))
{
	//al ingelogd?
	if(isset($_SESSION['email'])){
		header("Location: receptie.php?message=alingelogd");
		exit;
	}
	$errors = [];
	if(isset($_GET['login']))
	{
		database_account(0, $_POST['email'], $_POST['password']);
	}

	if(isset($_GET['register']))
	{	
		database_account(1, $_POST['email'], $_POST['password']);
	}
}

if(isset($_GET['logout']) && isset($_SESSION['email']))
{
	//uitgelogd
	session_start();
	session_destroy();
	header("Location: receptie.php?message=logout");
	exit;
}

//zegt een mededeling
if(isset($_GET['message'])){
	if($_GET['message'] == "login"){
		$message = "U bent nu ingelogd";
	}else
	if($_GET['message'] == "moetinloggen"){
		$message = "U moet eerst inloggen voordat u wat kan kopen";
	}else
	if($_GET['message'] == "alingelogd"){
		$message = "U bent al ingelogd";
	}else
	if($_GET['message'] == "noadmin"){
		$message = "U heeft geen administratierechten";
	}else
	if($_GET['message'] == "logout"){
		$message = "U bent nu uitgelogd";
	}else
	if($_GET['message'] == "register"){
		$message = "U heeft een account aangemaakt";
	}else
	if($_GET['message'] == "orderremoved"){
		$message = "U heeft een bestelling verwijderd";
	}else
	{
		$message = "Onbekende mededeling";
	}
}

//showt profiel met gereserveerde producten
function profile()
{
	$returns = "";
	if(isset($_GET['do']))
	{
		if(!isset($_GET['item'])) {
			header("Location: receptie.php");
			exit;
		}
		database_delete(2, $_GET['item']);
		header("Location: receptie.php?message=orderremoved");
		exit;
	}
	
	$returns .= "<div id='viewing'><p><b>Welkom ".$_SESSION['email']."</b></p>";
	$returns .= "<a href='shopping.php'>Stoffen bekijken</a> - <a href='receptie.php?logout'>Uitloggen</a></div>";

	$nr = 0;

	//tabel informatie
	$tableinfo = "<tr class='titel'>
	<td class='liitem'>Plaatje</td>
	<td class='liitem'>Naam Stof</td>
	<td class='liitem'>Type Stof</td>
	<td class='liitem'>Beschrijving</td>
	<td class='liitem'>Meters besteld</td>
	<td class='liitem'>Prijs in &euro;</td>
	<td class='liitem'>meer info</td>
	<td class='liitem'>verwijderen</td></tr>";

	$returns .= "<h1 class='bhrtitle'>Bestelde stoffen</h1>"; 

	$list = [];
	
	$list = database_reservlist($_SESSION['ID']);

	$returns .= "<table class='itemlist'>";
	$returns .= $tableinfo;
	
	//heeft items?
	if(!empty($list))
	{
		for($i = 0; $i < count($list); $i++)
		{
			$beschrijving = "";

			//zet 0.00 naar 0,00
			$meters = number_format($list[$i]["Meterbesteld"], '2', ',', '');
			$prijs = number_format($list[$i]["Prijs"], '2', ',', '');
			
			//haalt beschrijving uit elkaar om verkorte beschrijving te tonen
			$cuts = explode(" ", $list[$i]["Beschrijving"]);
			
			if(count($cuts) > 4)
			{
				for($j = 0; $j <= 4; $j++)
				{
					$beschrijving .= $cuts[$j]." ";
				}
				$beschrijving .= $cuts[$j]."...";
			}else{
				$beschrijving = $list[$i]["Beschrijving"];
			}

			//andere kleur rij
			$rowClass = 'oneven';
	        if ($nr % 2 > 0) {
	            $rowClass = 'even';
	        }

	        $returns .= "<tr class='" . $rowClass . "'>";
			$returns .= "<td class='liitem'><img src='img/stoffen/".$list[$i]["Plaatje"]."'/></td>";
			$returns .= "<td class='liitem'>".$list[$i]["Naam"]."</td>";
			$returns .= "<td class='liitem'>".$list[$i]["Categorie"]."</td>";
			$returns .= "<td class='liitem'>".$beschrijving."</td>";
			$returns .= "<td class='liitem'>".$meters."m</td>";
			$returns .= "<td class='liitem'>&euro; ".$prijs."</td>";
			$returns .= "<td class='liitem'><a href='shopping.php?item=".$list[$i]["ID"]."'>Meer info</a>";
			$returns .= "<td class='liitem'><a href='receptie.php?item=".$list[$i]["ResID"]."&do=del'>verwijderen</a></td>";
			$returns .= "</tr>";
			$nr++;
		}
		
	}else{ //geen items? dan:
		$returns .= "<tr class='oneven'>";
		$returns .= "<td class='liitem' colspan='8'>Nog niets</td>";
		$returns .= "</tr>";
	}
	$returns .= $tableinfo;
	$returns .= "</table>";
	return $returns;
}

?>